org.bluez.MediaAssistant(5)

Name
org.bluez.MediaAssistant - BlueZ D-Bus MediaAssistant API documentation

Interface

Service
    org.bluez

Interface
    org.bluez.MediaAssistant1

Object path
    /org/bluez/{hci0,hci1,...}/dev_{BDADDR}/src_{BDADDR}/sid#/bis#

Used by
    bluetoothctl-assistant(1)

  Methods

  void Push(dict properties)

Send stream information to the remote device.

If the assistant is in the "active" state, this method uses BASS_Modify_Source to update the existing source on the remote device instead of adding a new one with BASS_Add_Source.

dict properties

    Indicate stream properties that will be sent to the peer.

    Values:

array{byte} Metadata [ISO only]
    See Metadata property.

dict QoS [ISO only]
    See QoS property.

object Device [ISO only, State=local only]
    Push to a specific device. Device must be connected and with an active BASS session.

    Examples:

bluetoothctl
    > assistant.push <assistant>

  Properties

  string State [readonly]

Indicates the state of the assistant object. Possible values are:

"idle"
    assistant object was created for the stream

"pending"
    assistant object was pushed (stream information was sent to the peer)

"requesting"
    remote device requires Broadcast_Code

"active"
    remote device started receiving stream

"local"
    assistant object was created for a local stream

  array{byte} Metadata [readwrite, ISO Only, experimental]

Indicates stream Metadata.

  dict QoS [readwrite, ISO only, experimental]

Indicates stream QoS capabilities.

Values:

byte Encryption
    Indicates whether the stream is encrypted.

    :array{byte} BCode Indicates Broadcast_Code to decrypt stream.